clang 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< clang::tooling::TranslationUnitDiagnostics > Struct Template Reference

Specialized MappingTraits to describe how a TranslationUnitDiagnostics is (de)serialized. More...

`#include "clang/Tooling/DiagnosticsYaml.h"`

## Static Public Member Functions
static void | mapping (IO &Io, clang::tooling::TranslationUnitDiagnostics &Doc)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< clang::tooling::TranslationUnitDiagnostics >

Specialized MappingTraits to describe how a TranslationUnitDiagnostics is (de)serialized.

Definition at line 95 of file DiagnosticsYaml.h.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< clang::tooling::TranslationUnitDiagnostics >::mapping | ( | IO & | Io,
|  | clang::tooling::TranslationUnitDiagnostics & | Doc
| ) |  |
| inline static

Definition at line 96 of file DiagnosticsYaml.h.

References clang::tooling::TranslationUnitDiagnostics::Diagnostics, and clang::tooling::TranslationUnitDiagnostics::MainSourceFile.

The documentation for this struct was generated from the following file:

- include/clang/Tooling/DiagnosticsYaml.h